## vdk2 2.4.0

=== example/hello/Makefile ===
# Visual Development Kit
# by Motta mario
# version 2.0
# hello program
CFLAGS =  -Wall -g
CC = g++
#-------------
# hello
#-------------

all: hello hello2

hello: hello.o
	$(CC) -o hello  hello.o  `vdk-config-2 --libs`

hello.o: hello.cc
	$(CC)   $(CFLAGS)  `vdk-config-2 --cflags`  -c  hello.cc

hello2: hello2.o
	$(CC) -o hello2  hello2.o  `vdk-config-2 --libs`

hello2.o: hello2.cc
	$(CC)   $(CFLAGS)  `vdk-config-2 --cflags`  -c  hello2.cc

hello3: hello3.o
	$(CC) -o hello3  hello3.o  `vdk-config-2 --libs`

#hello3.o: hello3.cc
#	$(CC)   $(CFLAGS)  `vdk-config-2 --cflags`  -c  hello3.cc

clean:
	-rm -f hello hello2 hello3
	-rm -f *.o
	-rm -f *~ core
