=== example/iotut/Makefile ===
#
#  Copyright (C) 1999 Jonathan R. Hudson
#  Developed by Jonathan R. Hudson <jrhudson@bigfoot.com>
# 
#  Modified by Mario Motta <mmotta@guest.net> to port on vdk series 2
#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

CFLAGS =  -Wall -O2 -g -DVDK2=1
CXX = g++
LDFLAGS = -g
LIBS = `vdk-config-2 --libs` 
VDK_CFLAGS = `vdk-config-2 --cflags`

all: iodemo0 iodemo1 iodemo1a iodemo1b iodemo2 helper0 helper1

helper0: helper0.o
	$(CC) -O2 -o $@  $+ 

helper1: helper1.o
	$(CC) -O2 -o $@  $+ 

iodemo0: iodemo0.o 
	$(CXX) $(CFLAGS) -o $@  $+  $(LIBS)

iodemo0.o: iodemo0.cc iodemo0.h
	$(CXX) $(CFLAGS)  $(VDK_CFLAGS)  -c  $<

iodemo1: iodemo1.o
	$(CXX) $(CFLAGS) -o $@  $+  $(LIBS)

iodemo1.o: iodemo1.cc iodemo0.h
	$(CXX) $(CFLAGS)  $(VDK_CFLAGS)  -c  $<

iodemo1a.o: iodemo1a.cc iodemo0.h
	$(CXX) $(CFLAGS)  $(VDK_CFLAGS)  -c  $<

iodemo1b.o: iodemo1b.cc iodemo0.h
	$(CXX) $(CFLAGS)  $(VDK_CFLAGS)  -c  $<

iodemo1a: iodemo1a.o
	$(CXX) $(CFLAGS) -o $@  $+  $(LIBS)

iodemo1b: iodemo1b.o
	$(CXX) $(CFLAGS) -o $@  $+  $(LIBS)

iodemo2.o: iodemo2.cc iodemo2.h Socket.h
	$(CXX) $(CFLAGS)  $(VDK_CFLAGS)  -c  $<

iodemo2: iodemo2.o
	$(CXX) $(CFLAGS) -o $@  $+  $(LIBS)


clean:
	-rm -f iodemo0 iodemo1 iodemo1a iodemo1b iodemo2 helper0 helper1
	-rm -f *.o
	-rm -f *~ core '#*#'
