=== example/template/Makefile ===
###############################
# Makefile for building ./ttest
###############################

####### Compiler, tools and options

CC	=	g++
CFLAGS	=	-Wall -O2
INCPATH	=	-I./ `vdk-config-2 --cflags`
LINK	=	g++
LIBS	=	`vdk-config-2 --libs`

####### Files

HEADERS =	ttest.h

SOURCES =	ttest.cc 

OBJECTS =	ttest.o

TARGET	=	./ttest

####### Implicit rules

.SUFFIXES: .cc

.cc.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) 
	$(LINK)  -o $(TARGET) $(OBJECTS) $(LIBS)

clean:
	-rm -f $(OBJECTS) $(TARGET)
	-rm -f *~ core

####### Compile
ttest.o: ttest.cc\
		ttest.h
