=== debian/changelog ===
vdk2 (2.4.0-5.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrated to DebSrc 3.0. Consequently:
      - debian/clean: created to remove a file generated from the build.
      - debian/control: dropped dpatch from Build-Depends field.
      - debian/patches/01_old_changes.patch: created to group all old direct
        changes from 1.0 format.
      - debian/source/options: created to ignore changes in config.guess and
        config.sub.
      - Closes: #1005978

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Apr 2022 02:36:51 -0300

vdk2 (2.4.0-5.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop obsolete libgnome2-dev build-dependency.
    Thanks to Jeremy Bicha for the report. (Closes: #885760)

 -- Markus Koschany <apo@debian.org>  Sat, 17 Feb 2018 20:01:18 +0100

vdk2 (2.4.0-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10. (Closes: #817712)
  * debian/control:
      - Added a Homepage field.
      - Bumped Standards-Version to 3.9.8.
  * debian/rules: fix missing targets. Thanks to Santiago Vila
    <sanvila@unex.es>. (Closes: #822034)
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 22 Dec 2016 19:11:49 -0200

vdk2 (2.4.0-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * vdk2-2.4.0/vdk-config-2.in: use pkg-config to get the glib path
    - Thanks Julien Cristau <jcristau@debian.org> for suggestion.
      (Closes: #656408)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 31 Jan 2012 12:03:05 +0900

vdk2 (2.4.0-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to pick up the new flags. Closes: #621947.
  * Stop shiping la files. Closes: #633313.

 -- Regis Boudin <regis@debian.org>  Thu, 15 Sep 2011 00:39:07 +0100

vdk2 (2.4.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compatibility with GCC 4.3, patch by Cyril Brulebois (Closes: #454842)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 19 Mar 2008 22:34:17 +0100

vdk2 (2.4.0-5) unstable; urgency=high

  * vdk-2.m4: fix "underquoted definition of AM_PATH_VDK_2" aclocal warning.
  * debian/control:
    + Set policy to 3.7.2.
    + Set a source section (libs).
  * debian/changelog:
    + Fixed file syntax.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 10 Nov 2006 14:39:41 +0100

vdk2 (2.4.0-4) unstable; urgency=low

  * fix g++-4.1 issue (thanks to Martin Michlmayr) Closes: #356892

 -- Michael Vogt <mvo@debian.org>  Fri, 26 May 2006 09:30:24 +0200

vdk2 (2.4.0-3) unstable; urgency=low

  * c++ transition (finally *cough*)
    closes: #294437, #262091, #333971

 -- Michael Vogt <mvo@debian.org>  Sat, 15 Oct 2005 11:58:27 +0200

vdk2 (2.4.0-2) unstable; urgency=low

  * /usr/lib/libvdk.a -> /usr/lib/libvdk2.a

 -- Michael Vogt <mvo@debian.org>  Tue, 17 Aug 2004 12:35:41 +0200

vdk2 (2.4.0-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Mon,  2 Aug 2004 12:36:38 +0200

vdk2 (2.0.3-3) unstable; urgency=low

  * debian/control:
    + Fixed the -V flag in the dh_makeshlibs call.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  6 Aug 2003 10:50:05 +0200

vdk2 (2.0.3-2) unstable; urgency=low

  * debian/control:
    + Added Sam to the Uploaders field.
    + Set policy to 3.6.0. No changes required.
    + Set debhelper build-dependency to (>= 4.0) because of debian/compat.
    + Uncapitalised short descriptions.
  * Renamed the libvdk2c102 package to libvdk2-2 because upstream's major
    version changed; added proper conflicts/replaces.
  * debian/rules:
    + Do not install in debian/tmp, so that we do not need to call dh_clean
      in all the install rules. Also removed the clean-dbg rule. Makes
      debugging easier.
  * vdk/numentry.cc: Applied a patch from upstream to fix the VDKNumericEntry
    behaviour (Closes: #196101).
  * Added #DEBHELPER# token to postinst/postrm scripts.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 29 Jul 2003 14:20:33 +0200

vdk2 (2.0.3-1) unstable; urgency=low

  * New upstream release
  * added dependency for libgtk2.0-dev (closes: #197097)

 -- Michael Vogt <mvo@debian.org>  Mon, 19 May 2003 12:20:36 +0200

vdk2 (2.0.2-6) unstable; urgency=low

  * rebuild with latest libtool. this fixes a breakage for mips, mipsel
  (closes: #178110)

 -- Michael Vogt <mvo@debian.org>  Sun, 23 Feb 2003 11:37:57 +0100

vdk2 (2.0.2-5) unstable; urgency=low

  * build libvdk2-doc now in arch-indep rule (thanks bdale, closes: #179415) 

 -- Michael Vogt <mvo@debian.org>  Sun,  2 Feb 2003 11:28:06 +0100

vdk2 (2.0.2-4) unstable; urgency=low

  * rebuild for g++-3.2

 -- Michael Vogt <mvo@debian.org>  Sat, 11 Jan 2003 14:48:33 +0100

vdk2 (2.0.2-3) unstable; urgency=low

  * fixed a small problem in vdk/Makefile.am. 
    Now vdk builds from source again (closes: #166893)

 -- Michael Vogt <mvo@debian.org>  Wed, 30 Oct 2002 11:26:45 +0100

vdk2 (2.0.2-2) unstable; urgency=low

  * rebuild against libgtk2.0-0png3
  * removed libgnome-dev from dependecies

 -- Michael Vogt <mvo@debian.org>  Mon, 19 Aug 2002 14:44:15 +0200

vdk2 (2.0.2-1) unstable; urgency=low

  * new upstream version

 -- Michael Vogt <mvo@debian.org>  Mon,  3 Jun 2002 22:44:32 +0200

vdk2 (2.0.1-3) unstable; urgency=low

  * changed AM_PATH_VDK_2 macro in vdk-2.m4 to work with g++ 3.0.4

 -- Michael Vogt <mvo@debian.org>  Wed, 17 Apr 2002 13:15:42 +0200

vdk2 (2.0.1-2) unstable; urgency=low

  * fixed a bug in vdk-2.m4

 -- Michael Vogt <mvo@debian.org>  Thu,  4 Apr 2002 00:33:17 +0200

vdk2 (2.0.1-1) unstable; urgency=low

  * new upstream release

 -- Michael Vogt <mvo@debian.org>  Mon,  1 Apr 2002 23:38:22 +0200

vdk2 (2.0.0-1) unstable; urgency=low

  * new upstream release

 -- Michael Vogt <mvo@debian.org>  Wed, 13 Mar 2002 16:20:08 +0100

vdk (1.2.5-6) unstable; urgency=low

  * corrected spelling mistakes (closes: #125063, #125064)

 -- Michael Vogt <mvo@debian.org>  Tue, 18 Dec 2001 05:39:11 +0100


