=== debian/control ===
Source: vdk2
Section: libs
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10), libgtk2.0-dev (>= 2.4.0-1), libglib2.0-dev, doxygen, autotools-dev, chrpath
Homepage: https://sf.net/projects/vdkbuilder/

Package: libvdk2-2c2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libvdk2, libvdk2c102, libvdk2-2
Replaces: libvdk2c102, libvdk2-2
Description: Visual Development Kit C++ library version 2
 The Visual Development Kit (VDK) is a C++ library
 that wraps the GTK+ toolkit. 
 .
 The package also includes the VDK Component Library which 
 contains some  useful new  components not available in pure 
 GTK+.
 .
 Programming in VDK is much like programming in VCL
 and Borland C++ Builder. 
 .
 Some basic gnome support is provided.

Package: libvdk2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for VDK library version 2
 The Visual Development Kit (VDK) is a C++ library
 that wraps the GTK+ toolkit. 
 .
 The package also includes the VDK Component Library which 
 contains some  useful new  components not available in pure
 GTK+.
 .
 Programming in VDK is much like programming in VCL
 and Borland C++ Builder. 
 .
 This package contains the header files and static libraries for 
 the VDK C++ and for the VDK Component libraries.
 .
 Install this package if you want the html documentation of VDK.

Package: libvdk2-dev
Section: devel
Architecture: any
Depends: libvdk2-2c2 (= ${binary:Version}), libgtk2.0-dev, ${misc:Depends}
Suggests: libvdk2-doc, doxygen
Description: header files and static libraries for VDK library version 2
 The Visual Development Kit (VDK) is a C++ library
 that wraps the GTK+ toolkit. 
 .
 The package also includes the VDK Component Library which 
 contains some  useful new  components not available in pure
 GTK+.
 .
 Programming in VDK is much like programming in VCL
 and Borland C++ Builder. 
 .
 This package contains the header files and static libraries for 
 the VDK C++ and for the VDK Component libraries.
 .
 Install this package if you wish to develop your own X programs
 using the VDK C++ and the VDK Component libraries.

Package: libvdk2-dbg
Section: devel
Architecture: any
Priority: extra
Depends: libvdk2-2c2 (= ${binary:Version}), libvdk2-dev (= ${binary:Version}), ${misc:Depends}
Description: debugging static library for the VDK C++ library version 2
 The Visual Development Kit (VDK) is a C++ library
 that wraps the GTK+ toolkit. 
 .
 The package also includes the VDK Component Library which
 contains some  useful new  components not available in pure 
 GTK+.
 .
 Programming in VDK is much like programming in VCL
 and Borland C++ Builder. 
 .
 This package contains the debugging static libraries for the
 VDK C++ library.
 .
 The debugging libraries are installed as /usr/lib/libvdk_g.a 
 Link specifically with them if you want to debug.
