=== debian/watch ===
version=4
http://sf.net/vdkbuilder/vdkbuilder2-(\d\S+)\.tar\.(?:bz2|gz|xz)
